Lone Wolf Development Forums  

Go Back   Lone Wolf Development Forums > Hero Lab Forums > HL - Pathfinder Roleplaying Game

Notices

Closed Thread
 
Thread Tools Display Modes
andrewm9
Junior Member
 
Join Date: Dec 2012
Posts: 15

Old January 1st, 2015, 10:44 PM
Works like a charm now. Thanks for fixing it so fast. You are the man. Thanks to all who make these data packages work so well for us
andrewm9 is offline   #11
psych777
Senior Member
 
Join Date: Aug 2011
Posts: 362

Old January 2nd, 2015, 06:40 AM
so before i grab the new renamed package...do i need to delete the old package user files?
will por files that are currently using items from the old files need to remove and reselect?
psych777 is offline   #12
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,728

Old January 2nd, 2015, 08:43 AM
Quote:
Originally Posted by psych777 View Post
so before i grab the new renamed package...do i need to delete the old package user files?
will por files that are currently using items from the old files need to remove and reselect?
This install does a rename of the files so no need to delete old ones. Also this uses existing sources (or adds new) so .por files should notice no difference.

This is been the fun of trying to figure out this move. How to do it in ways that will have little to small impact on the community.

If something like this required it will be announced here and on the install message.

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.
ShadowChemosh is online now   #13
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,728

Old January 2nd, 2015, 09:41 AM
The new 3PP Pack (which will hold all Third Party Publishing rules) including Path of War and Ultimate Psionics is going to require more official packages. To have this load you will be required to have official licenses for: Advanced Players Guide, Ultimate Magic, and Ultimate Combat.

To many Things pull spells or feats from these books and they have been out for years. I am also not spending the time to make sure these 3PP products only load with a "CORE" license anymore. Which often included duplicating "Things" from these packages which just added more time.

Just an FYI is all...

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.
ShadowChemosh is online now   #14
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,728

Old January 2nd, 2015, 11:38 AM
Another "FYI" for those wondering. The Basic Pack and Campaign Pack are not "currently" linked together. So you could still load without the other. I need to get more "information" out to everyone before I truly link them. LW has agreed to let me add info across their social media and newsletters.

So most likely the next release will link the packages and loading it without the "Basic Pack" will cause it to fail.

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.
ShadowChemosh is online now   #15
borsniel
Junior Member
 
Join Date: Jan 2015
Posts: 5

Old January 2nd, 2015, 11:54 AM
ever since i installed the basic pack ive been getting the following error:

Hero Lab was forced to stop compilation after the following errors were detected:

Syntax error in script for Procedure 'DiseaseTxt' on line 100
-> Error in right-side expression of assignment

ive tried removing all the data packs and redownloading them, and i have also completley uninstalled and reinstalled hero lab

im running the following packs:

pathfinder basic 3.2
pathfinder campaign 3.0
community bestiary 2.25
path of war 1.3
ultimate psionics 2.6
SGG 1.8
mythic add on 1.2

and im running version 10.11 of the pathfinder role playing game

ive narrowed it down to the bestiary causing the issue but don't know where to go from here. help wold be very appreciated.
borsniel is offline   #16
psych777
Senior Member
 
Join Date: Aug 2011
Posts: 362

Old January 2nd, 2015, 07:38 PM
excellent shadow, thanks!
psych777 is offline   #17
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,728

Old January 2nd, 2015, 11:08 PM
Quote:
Originally Posted by borsniel View Post
ever since i installed the basic pack ive been getting the following error:

Hero Lab was forced to stop compilation after the following errors were detected:

Syntax error in script for Procedure 'DiseaseTxt' on line 100
-> Error in right-side expression of assignment

ive tried removing all the data packs and redownloading them, and i have also completley uninstalled and reinstalled hero lab
So first "FYI" you should never reinstall "HL" itself unless LW support tells you to. Because 99.8% of the time it never helps.

In this case I admit to being unable to "duplicate" the issue. I even rolled HL back to 6.1a. Are you running a Mac? Because that would be the only thing I can't duplicate as I am on Windows 7. It makes no logical sense why this would suddenly pop up as the new Packs do not touch anything yet in the Community Bestiary or this Disease Procedure.

I can "make" a guess based on other issues that for some reason your HL does not like the "Smart" dash that is in this script. So instead of "-" its a "—" which has been in this file sense 5/13/2014. But HL v6.1a change the way it interprets these type of characters and it has caused some strange issues.

For now I changed the dash to a simple dash to see what it will do for you. So attached to this post is a .user file you should download to your desktop. Then start HL and go into Pathfinder. Press "OK" on the error message and then go to "Tools->Explore Folders->Game System Data Folder". A new window will open showing the location for all the files in your game system. Take the .user file from your desktop and place it in the the folder and let it overwrite the existing file. Close HL and restart.

See if that fixes your issue and let me know please. Also let me know which operating system you are running.
Attached Files
File Type: email PFRPG_Community_Procedures.user (11.1 KB, 13 views)

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.
ShadowChemosh is online now   #18
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,728

Old January 3rd, 2015, 11:59 AM
For all the 3PP editors we have a new Github repository that should be setup. I would advise against doing any pulls until I get the v1 out the door.

Also this will REQUIRE the Basic Pack to be loaded into the same game folder. The github repository is designed to ignore any files from the Basic pack so they won't load back to github.

So you will also need to keep a link to the Basic Pack repository into its own game folder. Then depending on the updates you may need to manually copy the Basic Pack into the 3PP Pack game folder to get it to load.

So in example. I have moved some of the Psionics stuff into the Basic pack. So to currently get the 3PP pack to load you will need both the latest Basic Pack and 3PP Pack merged together into a single game folder.

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.
ShadowChemosh is online now   #19
psych777
Senior Member
 
Join Date: Aug 2011
Posts: 362

Old January 3rd, 2015, 12:46 PM
other than the page showing open and closed issues, the rest of github just confuses me
psych777 is offline   #20
Closed Thread

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -8. The time now is 09:42 AM.


Powered by vBulletin® - Copyright ©2000 - 2021, vBulletin Solutions, Inc.
wolflair.com copyright ©1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.